generate_n.hpp File Reference

## Typedefs

template<typename O , typename F >
using | ranges::generate_n_result = detail::out_fun_result< O, F >

## Functions

template<typename O , typename F >
CPP_TEMPLATE_AUX_0 | ranges::c (requires invocable< F & > &&output_iterator< O, invoke_result_t< F & >>) ccconstexpr generate_n_result< O
| function template `generate_n`
CPP_TEMPLATE_AUX_0 F | ranges::generate_n (O first, iter_difference_t< O > n, F fun)